Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class XMLDocumentParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.XMLDocumentParser

All Implemented Interfaces:
  XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLDocumentParser
extends AbstractXMLDocumentParser

This is a concrete vanilla XML parser class. It uses the abstract parser with either a BasicConfiguration object or the one specified by the application.

Field Summary

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`XMLDocumentParser()` Deprecated. Constructs a document parser using the default basic parser configuration.
`XMLDocumentParser(SymbolTable symbolTable)` Deprecated. Constructs a document parser using the specified symbol table.
`XMLDocumentParser(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a document parser using the specified symbol table and grammar pool.
`XMLDocumentParser(XMLParserConfiguration config)` Deprecated. Constructs a document parser using the specified parser configuration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, attributeDecl, characters, comment, doctypeDecl, element, elementDecl, empty, emptyElement, endAttlist, endCDATA, endConditional, endContentModel, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endGroup, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocumentSource, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, separator, setDocumentSource, startAttlist, startCDATA, startConditional, startContentModel, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startGroup, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentParser

    public XMLDocumentParser()

  Deprecated.
  Constructs a document parser using the default basic parser configuration.

### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable)

  Deprecated.
  Constructs a document parser using the specified symbol table.

### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable,
                             XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a document parser using the specified symbol table and grammar pool.

### XMLDocumentParser

    public XMLDocumentParser(XMLParserConfiguration config)

  Deprecated.
  Constructs a document parser using the specified parser configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD